Index: doc/full.cfg
===================================================================
--- doc/full.cfg	(revision 9f6e4c5107ce2d3e1a3942b4e9fee148a94104c3)
+++ doc/full.cfg	(revision b4fac43fb720b25676d4bdfb7cce4e7ecb395d90)
@@ -115,5 +115,5 @@
 # path to strip.
 
-STRIP_FROM_PATH        = ..
+STRIP_FROM_PATH        = ../src
 
 # The STRIP_FROM_INC_PATH tag can be used to strip a user-defined part of
@@ -471,10 +471,4 @@
 SHOW_USED_FILES        = YES
 
-# If the sources in your project are distributed over multiple directories
-# then setting the SHOW_DIRECTORIES tag to YES will show the directory hierarchy
-# in the documentation. The default is NO.
-
-SHOW_DIRECTORIES       = YES
-
 # Set the SHOW_FILES tag to NO to disable the generation of the Files page.
 # This will remove the Files entry from the Quick Index and from the
@@ -627,5 +621,5 @@
 
 EXAMPLE_PATH           = ../examples \
-                         ../
+                         ../tests/src
 
 # If the value of the EXAMPLE_PATH tag contains directories, you can use the
@@ -797,10 +791,4 @@
 
 HTML_STYLESHEET        =
-
-# If the HTML_ALIGN_MEMBERS tag is set to YES, the members of classes,
-# files or namespaces will be aligned in HTML using tables. If set to
-# NO a bullet list will be used.
-
-HTML_ALIGN_MEMBERS     = YES
 
 # If the HTML_DYNAMIC_SECTIONS tag is set to YES then the generated HTML
@@ -951,9 +939,4 @@
 
 GENERATE_TREEVIEW      = NO
-
-# By enabling USE_INLINE_TREES, doxygen will generate the Groups, Directories,
-# and Class Hierarchy pages using a tree view instead of an ordered list.
-
-USE_INLINE_TREES       = NO
 
 # If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be
Index: doc/web.cfg
===================================================================
--- doc/web.cfg	(revision 9f6e4c5107ce2d3e1a3942b4e9fee148a94104c3)
+++ doc/web.cfg	(revision b4fac43fb720b25676d4bdfb7cce4e7ecb395d90)
@@ -32,5 +32,5 @@
 # if some version control system is used.
 
-PROJECT_NUMBER         = "version 0.4.0"
+PROJECT_NUMBER         = "version 0.4.0alpha1"
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute)
@@ -471,10 +471,4 @@
 SHOW_USED_FILES        = YES
 
-# If the sources in your project are distributed over multiple directories
-# then setting the SHOW_DIRECTORIES tag to YES will show the directory hierarchy
-# in the documentation. The default is NO.
-
-SHOW_DIRECTORIES       = YES
-
 # Set the SHOW_FILES tag to NO to disable the generation of the Files page.
 # This will remove the Files entry from the Quick Index and from the
@@ -586,25 +580,5 @@
 # *.hpp *.h++ *.idl *.odl *.cs *.php *.php3 *.inc *.m *.mm *.py *.f90
 
-FILE_PATTERNS          = aubio.h \
-                         types.h \
-                         fvec.h \
-                         cvec.h \
-                         lvec.h \
-                         musicutils.h \
-                         resampler.h \
-                         filter.h \
-                         biquad.h \
-                         a_weighting.h \
-                         c_weighting.h \
-                         fft.h \
-                         phasevoc.h \
-                         filterbank.h \
-                         filterbank_mel.h \
-                         mfcc.h \
-                         specdesc.h \
-                         pitch.h \
-                         onset.h \
-                         peakpicker.h \
-                         tempo.h
+FILE_PATTERNS          =
 
 # The RECURSIVE tag can be used to turn specify whether or not subdirectories
@@ -618,6 +592,5 @@
 # subdirectory from a directory tree whose root is specified with the INPUT tag.
 
-EXCLUDE                = ../src/aubio_priv.h \
-                         ../src/temporal/filter_priv.h
+EXCLUDE                = ../src/aubio_priv.h
 
 # The EXCLUDE_SYMLINKS tag can be used select whether or not files or
@@ -818,10 +791,4 @@
 
 HTML_STYLESHEET        =
-
-# If the HTML_ALIGN_MEMBERS tag is set to YES, the members of classes,
-# files or namespaces will be aligned in HTML using tables. If set to
-# NO a bullet list will be used.
-
-HTML_ALIGN_MEMBERS     = YES
 
 # If the HTML_DYNAMIC_SECTIONS tag is set to YES then the generated HTML
@@ -972,9 +939,4 @@
 
 GENERATE_TREEVIEW      = NO
-
-# By enabling USE_INLINE_TREES, doxygen will generate the Groups, Directories,
-# and Class Hierarchy pages using a tree view instead of an ordered list.
-
-USE_INLINE_TREES       = NO
 
 # If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be
